Name:           fast-user-switch-applet
Version:        2.17.4 
Release:        4%{?dist}
Summary:        A panel applet for user-switching 
Group:          User Interface/Desktops
License:        GPL
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/fast-user-switch-applet/2.17/fast-user-switch-applet-%{version}.tar.bz2
# http://bugzilla.gnome.org/show_bug.cgi?id=402475
Patch0:         fast-user-switch-applet-2.17.3-username.patch
Patch1:         fast-user-switch-applet-2.17.3-defaults.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=421080
Patch2:		startx.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=421090
Patch3:		no-session.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=424615
Patch4:		fast-user-switch-applet-2.17.4-bug-buddy.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=412541 
Patch5:		fast-user-switch-applet-2.17.4-socket-check.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig
BuildRequires: gtk2-devel
BuildRequires: gnome-panel-devel
BuildRequires: GConf2
BuildRequires: scrollkeeper
BuildRequires: gettext
BuildRequires: perl(XML::Parser)
BuildRequires: gnome-doc-utils
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXmu-devel

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
The Fast User Switch Applet is an applet for the GNOME panel which allows
for menu-based user-switching.

%prep
%setup -q
%patch0 -p1 -b .username
%patch1 -p1 -b .defaults
%patch2 -p1 -b .startx
%patch3 -p1 -b .no-session
%patch4 -p1 -b .bug-buddy
%patch5 -p1 -b .socket-check

%build
%configure --disable-scrollkeeper \
	--with-users-admin=/usr/bin/system-config-users \
	--with-gdm-setup=/usr/bin/gdmsetup \
	--with-gdm-config=/etc/gdm/custom.conf
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` || :
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/fast-user-switch-applet.schemas \
	>& /dev/null || :
fi
 
%post
scrollkeeper-update -q || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` || :
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/fast-user-switch-applet.schemas \
	>& /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` || :
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/fast-user-switch-applet.schemas \
	>& /dev/null || :
fi
 
%postun
scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_libexecdir}/fast-user-switch-applet
%{_sysconfdir}/gconf/schemas/fast-user-switch-applet.schemas
%{_libdir}/bonobo/servers/GNOME_FastUserSwitchApplet.server
%{_datadir}/fast-user-switch-applet
%{_datadir}/gnome-2.0/ui/GNOME_FastUserSwitchApplet.xml
%{_datadir}/gnome/help/fast-user-switch-applet
%{_datadir}/omf/fast-user-switch-applet

%changelog
* Fri Mar 30 2007 Matthias Clasen <mclasen@redhat.com> 2.17.4-4
- Add bugzilla information to the .server file
- Fix a bug in the gdm socket check 

* Wed Mar 28 2007 Matthias Clasen <mclasen@redhat.com> 2.17.4-3
- Fix the startx patch to actually work when gdm is present

* Mon Mar 26 2007 Matthias Clasen <mclasen@redhat.com> 2.17.4-2
- Silently do nothing when gdm is not running
- Don't register with the session manager

* Tue Feb 27 2007 Matthias Clasen <mclasen@redhat.com> 2.17.4-1
- Update to 2.17.4

* Tue Feb 13 2007 Matthias Clasen <mclasen@redhat.com> 2.17.3-3
- Set better defaults 

* Tue Feb  6 2007 Matthias Clasen <mclasen@redhat.com> 2.17.3-2
- Add a patch to improve the fast user switching experience

* Wed Dec  6 2006 Matthias Clasen <mclasen@redhat.com> 2.17.3-1
- Update to 2.17.3

* Thu Oct 19 2006 Matthias Clasen <mclasen@redhat.com> 2.17.1-1
- Initial revision
